import request from '@/utils/request'

// 查询热门问题列表
export function listHotQuestions(query) {
  return request({
    url: '/system/hotQuestions/list',
    method: 'get',
    params: query
  })
}

// 查询热门问题详细
export function getHotQuestions(id) {
  return request({
    url: '/system/hotQuestions/' + id,
    method: 'get'
  })
}

// 新增热门问题
export function addHotQuestions(data) {
  return request({
    url: '/system/hotQuestions',
    method: 'post',
    data: data
  })
}

// 修改热门问题
export function updateHotQuestions(data) {
  return request({
    url: '/system/hotQuestions',
    method: 'put',
    data: data
  })
}

// 删除热门问题
export function delHotQuestions(id) {
  return request({
    url: '/system/hotQuestions/' + id,
    method: 'delete'
  })
}
